/* $Date: 1999/01/11 08:23:19 $ $Author: kg $ $Revision: 1.3 $
*/
/*++
Cat::Rng -- the category of rings without unit

A Cat::Rng is a ring without a unit, ie. an Cat::AbelianGroup and a Cat::SemiGroup with
the distributive laws a*(b+c) = a*b + a*c and (a+b)*c = a*c + b*c for
each a, b, c.

Use the axiom Ax::noZeroDivisors to state that there are no zero divisors, ie.
that the product of non-zero elements is always non-zero.
++*/

category Cat::Rng
    category Cat::AbelianGroup, Cat::SemiGroup ;
    
begin

end_category:

