plotlib::check_color := proc(dim, l, minVals = [], maxVals = [])
  local c, t;
begin
  t := select(l, has, Color);
  if t = [] then return( l ) end_if;
  if type(t[1]) <> "_equal" or type(op(t[1],2)) <> DOM_LIST then 
     error("Illegal Color.")
  end_if;
  c := op(t[1],[2,1]); 
  if c <> Rainbow and c <> Monochrome and c <> Height then
     return( l )
  end_if;
  if c = Height and (not has(t[1], ColorAxes)) then
     return( l )
  end_if;
  // Ersetze die Option Color = [Rainbow, ...] bzw [Monochrom, ...]
  // durch neuen Wert Color = [Function, proc ... end_proc]
  c := plotlib::gen_color_func(dim, l, minVals, maxVals);
  return( subs(l, op(t)=c) )
end_proc: