function r=udx_get_port()
// Copyright (c) 2000 by Inria Lorraine.  All Rights Reserved */
//
//   NAME
//     getport
//   NOTES
//     
//   HISTORY
//     fleury - Jan 6, 2000: Created.
//     $Log: getport.sci,v $
//     Revision 1.1  2000/01/19 16:44:49  tom
//     Neu angelegt
//
argv = sciargs();
n = size(argv, '*');
r = -1;
if (n < 3) then
  error("invalid number of options. Synopsys:" + argv(1) + " [options] -port X [options]")
  return;
end
i = find(argv=="-port")
if (i == []) then
  error("port option not found. Synopsys:" + argv(1) + " [options] -port X [options]")
  return;
end
if (i +1 > n) then
  error("invalid number options. Synopsys:" + argv(1) + " [options] -port X [options]")
  return;
end
r = sscanf(argv(i+1), "%d")
if (r == []) then
  error("invalid port. Synopsys:" + argv(1) + " [options] -port X [options]")
  r = -1
end
// udx_get_port