function r=udx_get_server()
// Copyright (c) 2000 by Inria Lorraine.  All Rights Reserved */
//
//   NAME
//     getserver
//   NOTES
//     
//   HISTORY
//     fleury - Jan 6, 2000: Created.
//     $Log: getserver.sci,v $
//     Revision 1.1  2000/01/19 16:44:50  tom
//     Neu angelegt
//
argv = sciargs();
n = size(argv, '*');
r = -1;
if (n < 3) then
  error("invalid number of options. Synopsys:" + argv(1) + " [options] -server X [options]")
  return;
end
i = find(argv=="-server")
if (size(i, '*') > 1) then
  error("only one server option must be specified. Synopsys:" + argv(1) + " [options] -server X [options]")
  return;
end
if (i == []) then
  error("server option not found. Synopsys:" + argv(1) + " [options] -server X [options]")
  return;
end
if (i +1 > n) then
  error("invalid number options. Synopsys:" + argv(1) + " [options] -server X [options]")
  return;
end
r = sscanf(argv(i+1), "%s")
if (r == []) then
  error("invalid server. Synopsys:" + argv(1) + " [options] -server X [options]")
  r = -1
end
// udx_get_server