// $Date: 2003/05/02 09:01:35 $ $Author: ccr $ $Revision: 1.6.2.1 $ 

/*

    universe - the set-theoretic universe of all objects

    universe is the only element of stdlib::Universe

*/


stdlib::Universe:= newDomain("stdlib::Universe"):
stdlib::Universe::create_dom:=hold(universe):

universe:= new(stdlib::Universe):

stdlib::Universe::info:= "Domain 'stdlib::Universe' representing the ".
"universe of all mathematical objects":

stdlib::Universe::interface:={}:

stdlib::Universe::expr:= ()-> hold(universe):

stdlib::Universe::print:= ()-> "universe":

stdlib::Universe::_intersect:=
proc()
begin
  _intersect(select(args(), _unequal, universe))
end_proc:

stdlib::Universe::_union:=()-> universe:

stdlib::Universe::_minus:=
proc(a,b)
begin
  if b=universe then
    {}
  elif a=universe then
      hold(_minus)(a,b)
  end_if
end_proc:
  
stdlib::Universe::TeX := () -> "\\mathrm{universe}":

